
QGIS Application - Bug report #5828

WMS-C support broken in QGIS master

2012-06-20 03:43 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15303

Description

I'm testing one beside the other QGIS 1.8 and Master, and it seems that in master the support of WMS-C servers is broken (e.g.

tilecache).

Using the following server

http://mapas.igeo.pt/tilecache/tilecache.py?

and both "Ignore getMap..." and "Ignore FeatureInfo..." checked.

Seems a consequence of the raster resampling merge.

Associated revisions

Revision 4b40c53a - 2012-08-18 12:04 PM - Jürgen Fischer

fix #5828

History

#1 - 2012-06-20 04:25 AM - Jürgen Fischer

Not reproducable here. I tried the basic layer (with IgnoreGetMapUrl checked) - seems normal.

#2 - 2012-06-20 04:31 AM - Giovanni Manghi

Jürgen Fischer wrote:

Not reproducable here. I tried the basic layer (with IgnoreGetMapUrl checked) - seems normal.

Hi Jurgen,

you have to try one of the other layers, one not in WGS84 CRS, for example carta_500000 (other layers may not show at certain scales as the server is

configured to serve the maps only in a specified scale interval. But the layer carta_500000 is good to see the issue).

#3 - 2012-06-20 04:35 AM - Salvatore Larosa
http://mapas.igeo.pt/tilecache/tilecache.py


confirmed here using a different layer!

with basic layer works!

I get this (with IgnoreGetMap checked):

Tile request failed [error:Error downloading

http://mapas.igeo.pt/tilecache/tilecache.py?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetMap&WIDTH=256&HEIGHT=256&LAYERS=MDT50m&STYLES=&FORMAT=image/png&SRS=EPSG:102161

T50m&STYLES=&FORMAT=image/png&SRS=EPSG:102161&TILED=true&BBOX=-170000.0000000000000000,-320000.0000000000000000,135000.0000000000000000,-15000.0000000000000000 - server replied: Not Found url:http://mapas.igeo.pt/tilecache/tilecache.py?SERVICE=WMS&VERSION=1.1.1&REQUEST=G

,135000.0000000000000000,-15000.0000000000000000 - server replied: Not Found

url:http://mapas.igeo.pt/tilecache/tilecache.py?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetMap&WIDTH=256&HEIGHT=256&LAYERS=MDT50m&STYLES=&FORMAT=image/png&SRS=EPSG:102161&TILED=true&BBOX=-170000.0000000000000000,-320000.0000000000000000,135000.0000000000000000,-15000.0000000000000000]


MDT50m&STYLES=&FORMAT=image/png&SRS=EPSG:102161&TILED=true&BBOX=-170000.0000000000000000,-320000.0000000000000000,135000.0000000000000000,-15000.0000000000000000]


000,135000.0000000000000000,-15000.0000000000000000]

#4 - 2012-06-20 04:57 AM - Jürgen Fischer

- Subject changed from Tilecache WMS support broken in QGIS master to WMS-C support broken in QGIS master

#5 - 2012-06-20 04:57 AM - Jürgen Fischer

- Priority changed from Severe/Regression to High

#6 - 2012-06-20 05:06 AM - Giovanni Manghi

but regressions should not be tagged as blockers? Anyway there is a long way before the next release, but at least we can easily see what must be fixed

before it.

#7 - 2012-06-29 07:49 AM - Marco Hugentobler

- Assignee deleted (Marco Hugentobler)

This is not caused by the resampler branch. I did a git reset to revision commit:ff87deef0702fdde21764b0f8588b402448eb6df (so just before the

resampler merge) and at this stage the bug is already there.

#8 - 2012-08-17 08:32 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

#9 - 2012-08-18 03:05 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"4b40c53a4538e48d329f767e777319293e14c51c".
